Bug 835321 - Confusing username policy validation
Confusing username policy validation
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Jakub Hadvig
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 20:51 EDT by Og Maciel
Modified: 2013-09-19 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:15:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (72.44 KB, image/png)
2012-06-25 20:51 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-06-25 20:51:51 EDT
Created attachment 594319 [details]
Screenshot

Description of problem:

Seems that we have a combination of policy validations for username creation that can lead to confusing notifications.

Version-Release number of selected component (if applicable):

* candlepin-0.6.5-1.el6_2.noarch
* candlepin-tomcat6-0.6.5-1.el6_2.noarch
* katello-0.1.318-1.el6cf.noarch
* katello-all-0.1.318-1.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.7-1.el6_3.noarch
* katello-cli-0.1.112-1.el6cf.noarch
* katello-cli-common-0.1.112-1.el6cf.noarch
* katello-common-0.1.318-1.el6cf.noarch
* katello-configure-0.1.110-1.el6_3.noarch
* katello-glue-candlepin-0.1.318-1.el6cf.noarch
* katello-glue-foreman-0.1.318-1.el6cf.noarch
* katello-glue-pulp-0.1.318-1.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.10-1.el6.noarch
* pulp-1.0.4-1.el6.noarch
* pulp-common-1.0.4-1.el6.noarch
* pulp-selinux-server-1.0.4-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. As the administrator, go to the new Users panel
2. Click the New User button
3. For the username use a very long username (more than 255 characters)
4. Type a 6-character password and repeat for the confirmation field
5. Enter a valid email
6. Optionally, choose a default organization
7. Click the save button
  
Actual results:

The following notification pops up:

Validation Failed:
* Username is too long (maximum is 255 characters)
* Username cannot contain more than 64 characters


Expected results:

Only one of these rules should be displayed

Additional info:
Comment 1 Jakub Hadvig 2012-10-24 07:31:32 EDT
Now instead of two validation errors:
- Username is too long (maximum is 255 characters)
- Username cannot contain more than 64 characters
 
there will be only one:  
- Username cannot contain more than 64 characters

because there is no point to have the default validation of username with maximum length 255 characters.


Changeset is => 03cc3c4
Comment 2 Tom McKay 2012-10-26 14:01:33 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 03cc3c438d4862f7b158d8febb6aea3edde39fa6
      https://github.com/Katello/katello/commit/03cc3c438d4862f7b158d8febb6aea3edde39fa6
  Author: Jakub Hadvig <j.hadvig@gmail.com>
  Date:   2012-10-24 (Wed, 24 Oct 2012)
Comment 3 Mike McCune 2013-08-16 13:55:19 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:15:23 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.